http
POST /api/data/v3/datasources/{datasetId}/uploads HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"action": "APPEND",
"message": "Uploading",
"appendId": "latest"
}curl --request POST \
--url https://{instance}.domo.com/api/data/v3/datasources/{datasetId}/uploads \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"action": "APPEND",
"message": "Uploading",
"appendId": "latest"
}
'import requests
url = "https://{instance}.domo.com/api/data/v3/datasources/{datasetId}/uploads"
payload = {
"action": "APPEND",
"message": "Uploading",
"appendId": "latest"
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'APPEND', message: 'Uploading', appendId: 'latest'})
};
fetch('https://{instance}.domo.com/api/data/v3/datasources/{datasetId}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataSourceId": "0dbe6a6a-5588-4a1e-9db4-989ca98762a5",
"uploadId": 10,
"requestedAsOf": 1654557838137
}Upload
Create Upload Session
Generates an uploadId for appending or replacing data. This is Stage 1 of the upload process
POST
/
api
/
data
/
v3
/
datasources
/
{datasetId}
/
uploads
http
POST /api/data/v3/datasources/{datasetId}/uploads HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"action": "APPEND",
"message": "Uploading",
"appendId": "latest"
}Authorizations
Developer token obtained from Domo
Path Parameters
Unique identifier of the dataset
Query Parameters
Specifies a partition for UPDATE/REPLACE actions
Body
application/json
⌘I